---
layout: default
---

{% assign category = site.data.categories[page.autopages.display_name] %}

<div class="blog-header l-responsive">
  <h2 class="heading-main">
      Passit Blog: 
        {{ category.name }}
  </h2>
  {% if category.description %}
  <p>
    {{ category.description }}
  </p>
  {% endif %}
</div>

<div class="blog-loop l-responsive">
  {% for post in paginator.posts %}
  <div class="blog-loop__post">
    <h3 class="heading-3 blog-loop__post-title">
      <a href="{{ post.url | relative_url }}">
        {{ post.title }}
      </a>
    </h3>

    <p class="blog-loop__meta">
      <time datetime="{{ post.date | date_to_xmlschema }}" itemprop="datePublished">{{ post.date | date: "%B %-d, %Y" }}</time>
      • by {% if page.author %}{{ page.author }}{% else %}{{ site.default_author }}{% endif %}
    </p>

    {{ post.excerpt | strip_html }}
  </div>
  {% endfor %}
</div>

<div class="blog-pagination l-responsive">
  {% if paginator.previous_page %}
    <a class="text-link text-link--left-caret blog-pagination__item blog-pagination__item--newer" href="{{ paginator.previous_page_path | prepend: site.baseurl | remove: "index.html" }}">Newer</a>
  {% else %}
    <span class="blog-pagination__item blog-pagination__item--newer blog-pagination__item--inactive">Newer</span>
  {% endif %}
  {% if paginator.next_page %}
    <a class="text-link text-link--caret blog-pagination__item blog-pagination__item--older" href="{{ paginator.next_page_path | prepend: site.baseurl | remove: "index.html" }}">Older</a>
  {% else %}
    <span class="blog-pagination__item blog-pagination__item--older blog-pagination__item--inactive">Older</span>
  {% endif %}
</div>
<!--
  <p class="rss-subscribe">subscribe <a href="{{ "/feed.xml" | relative_url }}">via RSS</a></p>
-->
